## cvprac 1.3.1+dfsg

=== debian/changelog ===
cvprac (1.3.1+dfsg-3) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 15:00:18 +0200

cvprac (1.3.1+dfsg-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading source-only without changes to allow testing migration.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Jun 2023 07:29:33 +0200

cvprac (1.3.1+dfsg-1) sid; urgency=medium

  * Initial upload to sid, required dependency for arista-avd.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 11 May 2023 11:05:32 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cvprac-$1\.tar\.gz/ \
 dversionmangle=s/\+dfsg//" \
https://github.com/aristanetworks/cvprac/tags .*/v?(\d\S+)\.tar\.gz

## cvprac 1.3.2+dfsg

=== Makefile ===
#!/usr/bin/make
# WARN: gmake syntax
########################################################
# Makefile for collector
#
# useful targets:
#	make check -- manifest checks
#	make clean -- clean up workspace
#	make pep8 -- pep8 checks
#	make pyflakes -- pyflakes checks
#	make pylint -- source code checks
#	make rpm -- build RPM package
#	make sdist -- build python source distribution
#	make systest -- runs the system tests
#	make tests -- run all of the tests
#
########################################################
# variable section

NAME = "cvprac"

PYTHON=python
COVERAGE=coverage
SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

VERSION := $(shell awk '/__version__/{print $$NF}' cvprac/__init__.py | sed "s/'//g")

RPMSPECDIR = .
RPMSPEC = $(RPMSPECDIR)/$(NAME).spec
RPMRELEASE = 1
RPMNVR = "$(NAME)-$(VERSION)-$(RPMRELEASE)"

PEP8_IGNORE = E302,E203,E261
########################################################

all: clean check pep8 pyflakes pylint tests

check:
	check-manifest

clean:
	@echo "Cleaning up distutils stuff"
	rm -rf rpmbuild build dist MANIFEST *.egg-info .coverage
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete

coverage_report:
	$(COVERAGE) report -m

pep8:
	-pep8 -r --max-line-length=120 --ignore=$(PEP8_IGNORE) cvprac/
	-pep8 -r --max-line-length=120 --ignore=$(PEP8_IGNORE),E402 test/

pyflakes:
	pyflakes cvprac/ test/

pylint:
	find ./cvprac ./test -name \*.py | xargs pylint --rcfile .pylintrc

unittest: clean
	$(COVERAGE) run --source $(NAME) -m unittest discover test/unit -v

systest: clean
	$(COVERAGE) run --source $(NAME) -m unittest discover test/system -v

tests: unittest systest coverage_report

rpmcommon: sdist
	@mkdir -p rpmbuild
	@cp dist/*.gz rpmbuild/
	@sed -e 's#^Version:.*#Version: $(VERSION)#' -e 's#^Release:.*#Release: $(RPMRELEASE)#' $(RPMSPEC) >rpmbuild/$(NAME).spec

rpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpmbuild" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.rpm" \
	--define "__python /usr/bin/python" \
	-ba rpmbuild/$(NAME).spec
	@rm -f rpmbuild/$(NAME).spec

sdist: clean
	$(PYTHON) setup.py sdist

=== requirements.txt ===
requests[socks]>=2.27.0

=== debian/changelog ===
cvprac (1.3.2+dfsg-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.3.2+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 Dec 2023 11:37:55 +0100

cvprac (1.3.1+dfsg-5) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1044183).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 10:20:11 +0200

cvprac (1.3.1+dfsg-4) sid; urgency=medium

  * Uploading to sid.
  * Adding missing coma in watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 19:32:43 +0200

=== debian/control ===
Source: cvprac
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/aristanetworks/cvprac
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cvprac
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cvprac

Package: python3-cvprac
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: RESTful API client for Arista Cloudvision Portal
 cvprac is a RESTful API client Cloudvision Portal (CVP) which can be used for
 building applications that work with Arista CVP.

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cvprac-$1\.tar\.gz/, \
 dversionmangle=s/\+dfsg//" \
https://github.com/aristanetworks/cvprac/tags .*/v?(\d\S+)\.tar\.gz

## cvprac 1.4.0+dfsg

=== requirements.txt ===
requests[socks]>=2.27.0
packaging>=23.2

=== debian/changelog ===
cvprac (1.4.0+dfsg-2) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:49:36 +0100

cvprac (1.4.0+dfsg-1) sid; urgency=medium

  * Merging upstream version 1.4.0+dfsg.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 18 May 2024 07:27:32 +0200

=== debian/control ===
Source: cvprac
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/aristanetworks/cvprac
Vcs-Browser: https://forgejo.debian.net/arista/cvprac
Vcs-Git: https://forgejo.debian.net/arista/cvprac

Package: python3-cvprac
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: RESTful API client for Arista Cloudvision Portal
 cvprac is a RESTful API client Cloudvision Portal (CVP) which can be used for
 building applications that work with Arista CVP.

## cvprac 1.4.1+dfsg

=== debian/changelog ===
cvprac (1.4.1+dfsg-2) sid; urgency=medium

  * Adding upstream metadata.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:54:19 +0200

cvprac (1.4.1+dfsg-1) experimental; urgency=medium

  * Merging upstream version 1.4.1+dfsg.
  * Updating year in upstream copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 May 2025 08:08:51 +0200

cvprac (1.4.0+dfsg-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:38:10 +0200

cvprac (1.4.0+dfsg-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/aristanetworks/cvprac
 Vcs-Browser: https://forgejo.debian.net/arista/cvprac
 Vcs-Git: https://forgejo.debian.net/arista/cvprac

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cvprac

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

override_dh_auto_test:
	# disabled

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
https://github.com/aristanetworks/cvprac/tags .*/v?(\d.*)@ARCHIVE_EXT@

## cvprac 1.4.2%2bdfsg

=== debian/changelog ===
cvprac (1.4.2+dfsg-1) sid; urgency=medium

  * Fixing corrupted date in a previous changelog entry.
  * Updating watch file to version 5.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 1.4.2+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Oct 2025 07:27:36 +0200

## cvprac 1.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,9 @@
 
 pep8:
 	-pep8 -r --max-line-length=120 --ignore=$(PEP8_IGNORE) cvprac/
-	-pep8 -r --max-line-length=120 --ignore=$(PEP8_IGNORE),E402 test/
+	-pep8 -r --max-line-length=120 --ignore=$(PEP8_IGNORE),E402 test/lib/
+	-pep8 -r --max-line-length=120 --ignore=$(PEP8_IGNORE),E402 test/system/
+	-pep8 -r --ignore=$(PEP8_IGNORE),E402,E501 test/unit/
 
 pyflakes:
 	pyflakes cvprac/ test/

=== debian/changelog ===
cvprac (1.4.2+dfsg-2) sid; urgency=medium

  * Adding debian version mangleing in watch file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Oct 2025 19:58:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dh-sequence-python3,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/aristanetworks/cvprac
 Vcs-Browser: https://forgejo.debian.net/arista/cvprac

=== debian/watch ===
Version: 5

Template: Github
Owner: aristanetworks
Project: @PACKAGE@
Dversion-Mangle: auto
